package com.logicbig.example;

import javax.swing.*;
import javax.swing.tree.DefaultMutableTreeNode;
import javax.swing.tree.DefaultTreeCellRenderer;
import java.awt.*;

public class CountriesTreeRenderer extends DefaultTreeCellRenderer {

    @Override
    public Component getTreeCellRendererComponent(JTree tree, Object value, boolean sel, boolean expanded,
                                                  boolean leaf, int row, boolean hasFocus) {
        super.getTreeCellRendererComponent(tree, value, sel, expanded, leaf, row, hasFocus);
        DefaultMutableTreeNode node = (DefaultMutableTreeNode) value;
        switch (node.getPath().length) {
            case 1:
                setForeground(Color.BLUE);//world
                break;
            case 2:
                setForeground(Color.MAGENTA);//continent
                break;
            case 3:
                setForeground(Color.GREEN.darker());//country
                break;
        }
        return this;
    }
}